Bug 142080 - FILEOPEN: DOCX: Hang after opening the file
Summary: FILEOPEN: DOCX: Hang after opening the file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2021-05-04 11:29 UTC by Xisco Faulí
Modified: 2021-05-10 14:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-05-04 11:29:11 UTC
Steps to reproduce:
1. Open attachment 55945 [details] from bug 43573
2. Try to scroll or type

-> LibreOffice hangs

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: dff586735b6618d9b011823594a33287d8f7f223
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-05-04 11:30:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c799de145f7e289f31e3669646e5bd12814e6c5e

author	Michael Stahl <michael.stahl@allotropia.de>	2021-04-22 13:43:07 +0200
committer	Michael Stahl <michael.stahl@allotropia.de>	2021-04-22 18:43:30 +0200
commit	c799de145f7e289f31e3669646e5bd12814e6c5e (patch)
tree	a8eb6560f6774568f1d5e5bd4155e70ba66faac0
parent	bca539e889d40e06cb3275442622cb075b2484a2 (diff)
tdf#138518 sw: layout: avoid moving flys forward prematurely

Bisected with: bibisect-linux64-7.2

Adding Cc: to Michael Stahl
Comment 2 Stefan_Lange_KA@T-Online.de 2021-05-04 13:17:30 UTC
I have reproduced the problem with
Version: 7.1.4.0.0+ (x64) / LibreOffice Community
Build ID: 80d111c948d1553e9e0015738289b471cfe137f1
CPU threads: 4; OS: Windows 10.0 Build 21370; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: CL

Maybe the problem particularly exists with docx documents.

I have opened the test document kubus.docx with LO 7.0.6 and saved it as odt document without any changes. This odt document I can open with recent LOdev 7.1.4 and 7.2.0 without LO hangs.
Comment 3 Michael Stahl (allotropia) 2021-05-05 14:55:36 UTC
fixed on master
Comment 4 Commit Notification 2021-05-05 14:56:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed12269c42f75f553bb8a8770923406f7824e473

tdf#142080 sw: layout: fix infinite loop in CalcContent()

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-05-06 08:43:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/858cd97b2682510cbf6abddf68e63a502a4b3202

tdf#142080 sw: layout: fix infinite loop in CalcContent()

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Stefan_Lange_KA@T-Online.de 2021-05-06 08:59:25 UTC
Test with
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9df3aa7ea72d61462e430643f2a80906dce4e15b
CPU threads: 4; OS: Windows 10.0 Build 21370; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: threaded
was OK:
I have opened the test document kubus.docx, scrolled and typed without LO hangs.
Comment 7 Xisco Faulí 2021-05-10 14:51:03 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: d4f116d9576453f5974eb63db37a33c59ac53bc9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!